@echo off
echo BIG thanks to Shadow/Noice for the converter!
echo.
echo þ Converting all LikTwiik modes to Assembler format!
ctty nul

md asm50
cd 50
for %%f in (*.256) do ..\basconv %%f ..\asm50\%%f /a
for %%f in (*.16) do ..\basconv %%f ..\asm50\%%f /a
for %%f in (*.twk) do ..\basconv %%f ..\asm50\%%f /a
copy descript.ion ..\asm50
cd..

md asm60
cd 60
for %%f in (*.256) do ..\basconv %%f ..\asm60\%%f /a
for %%f in (*.16) do ..\basconv %%f ..\asm60\%%f /a
for %%f in (*.twk) do ..\basconv %%f ..\asm60\%%f /a
copy descript.ion ..\asm60
cd..

md asm70
cd 70
for %%f in (*.256) do ..\basconv %%f ..\asm70\%%f /a
for %%f in (*.16) do ..\basconv %%f ..\asm70\%%f /a
for %%f in (*.twk) do ..\basconv %%f ..\asm70\%%f /a
copy descript.ion ..\asm70
cd..

ctty con
echo.
echo If you use any mode...
echo ...please don't forget to credit the author (i.e. me, Liket of Goto10)
